/****************************************/
/*  FileDataList.c headers         	*/
/*					*/
/*  Description : List of FileData      */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __FILE_DATA_LIST_H__
#define __FILE_DATA_LIST_H__

typedef struct _FileDataList  FileDataList;

struct _FileDataList
{
  /* the list of all the file datas */
  GList *list;
  /* the one above if for going over the list */
  /* current FileData */
  GList *current;
  /* to append quickly. The last item */
  GList *last;
};

/* Return a new FileDataList. */
FileDataList *file_data_list_new(void);

/* Return a new FileDataList which is a copy of pFileDataList. */
FileDataList *file_data_list_copy(FileDataList *pFileDataList);

/* Append a FileData to the FileDataList */
/* We keep A COPY of pFileData           */
void file_data_list_append(FileDataList *pFileDataList, FileData *pFileData);

/* Free the FileDataList. 		    */
void file_data_list_free(FileDataList *pFileDataList);

/*********************************************************/
/************ FOR GOING OVER ALL THE FILE DATAS **********/

/* After a call to this procedure, file_data_list_current */
/* return the first FileData                              */
void file_data_list_init(FileDataList *pFileDataList);

/* Return the FileData we are on */
FileData *file_data_list_current(FileDataList *pFileDataList);

/* Go to the next FileData */
void file_data_list_next(FileDataList *pFileDataList);

/* say if there is no more FileData */
gboolean file_data_list_is_end(FileDataList *pFileDataList);
/*********************************************************/

#endif  /* __FILE_DATA_LIST_H__ */
