/****************************************/
/*  FileTypeAutomate.c headers          */
/*					*/
/*  Description : FileTypeAutomate take */
/*   care of the user defined file type */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __FILE_TYPE_AUTOMATE_H__
#define __FILE_TYPE_AUTOMATE_H__

/* A type can be define using all ASCII. '*' and '?' are */
/* replaced by : '*' everything or nothing               */
/*               '?' one character                       */
/* example : is_of_type("*.gif","file.gif") return TRUE  */
/*           is_of_type("?.gif","file.gif") return FALSE */
/*            because "file" as 4 charcaters not only one*/
/* Return TRUE if file_name is of type type_str.         */
gboolean is_of_type(gchar *type_str, gchar *file_name);

/* Return TRUE if file_name is of type type_str. type_str*/
/* is a string of several type (like for is_of_type)     */
/* separated by ';'                                      */
gboolean is_of_multi_type(gchar *type_str, gchar *file_name);

#endif  /* __FILE_TYPE_AUTOMATE_H__ */
