/****************************************/
/*  GFile.c headers                     */
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include <gnome.h>    /* GTK/GNOME definitions            */
#include <dirent.h>   /* To list the directory file       */
#include <sys/stat.h> /* For the files properties         */
#include <fcntl.h>    /* for O_RONLY... use by FileType   */
#include <errno.h>
#include <sys/vfs.h>  /* for statfs */

#include "GFileError.h"       /* For all the error codes   */

#include "FileType.h" 	      /* For managing file type    */
#include "FileTypeAutomate.h" /* For the FileType Automate */
			      /* ex: p.gif belong to *.gif */
#include "FileTypeList.h"     /* For FileType lists        */

#include "PreferenceDialog.h" /* For the Preference dialog */
#include "PreferenceGeneral.h"/* For the General part of   */
                              /* the Preference dialog     */
#include "PreferenceList.h"   /* For the List part of      */
                              /* the Preference dialog     */
#include "PreferenceFileType.h"
			      /* for the File Type part of */
			      /* the Preference dialog     */
#include "PreferenceFileTypeAddEdit.h"
			      /* for the Add & Edit buttons*/
			      /* of the File Type part of  */
			      /* the Preference dialog     */
#include "IconList.h"         /* for the icon button in the*/
			      /* Add & Edit dialog         */
#include "OwnerGroup.h"       /* For a list which give name*/
			      /* to number		   */
#include "FileData.h"         /*data which represent a file*/
#include "FileDataList.h"     /* List of FileData          */
#include "CompareFunc.h"      /* Compare functions for     */
                              /* gtk_clist & FileData      */
#include "GFileList.h"	      /* For the list part of GFile*/
#include "GFileTree.h"	      /* For the tree part of GFile*/
#include "CopyDialog.h"       /* For the file copy dialog  */
#include "DelDialog.h"        /* For the file del dialog   */
#include "MoveDialog.h"       /* For the file move dialog  */
#include "FileProperties.h"   /* For the file properties   */
                              /* dialog.                   */
#include "MkdirDialog.h"      /* Make directory dialog     */
#include "PopMenu.h"          /* For the popup menu        */

#define VERSION "0.0.5"

