/****************************************/
/* TestFileProperties.c body            */
/*					*/
/*  Description : Test the file         */
/*                properties dialog     */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void file_mode_changed_cb(FileProperties *pFileProperties,FileData *SrcFile,
    FileData *DstFile, gpointer data)
{
  g_print("Properties changed.\n");
  g_print("Last file. Name : %s%s.\n",SrcFile->path,SrcFile->name);
  g_print("New  file. Name : %s%s.\n",DstFile->path,DstFile->name);
}   

int main(int argc, char **argv)
{ GtkWidget *vFileProperties;
  FileDataList *vFileDataList;
  FileData *vFileData;
  Group *testGroup;
  Owner *testOwner;
  FileTypeList *vFileTypeList;
  
  gnome_init("TestFileProperties", VERSION, argc,argv);

  testGroup = group_load();
  testOwner = owner_load(testGroup); 
  vFileTypeList = file_type_list_new(); 
  file_type_list_add_needed_file_type(vFileTypeList);
  
  vFileDataList = file_data_list_new();
  g_print("before file_data_new_from_file\n");
  vFileData = file_data_new_from_file("/","all_new_symb_link",vFileTypeList,testOwner);
  if(vFileData == NULL){g_print("error stating /all_new_symb_link\n"); exit(1);}
  g_print("FileData, path : %s, name : %s.\n",vFileData->path,vFileData->name);
  file_data_list_append(vFileDataList, vFileData);

  g_print("avant file_properties_new\n");
  
  vFileProperties = file_properties_new(vFileDataList,vFileTypeList,testOwner);
  gtk_widget_show(vFileProperties);
  
  gtk_signal_connect (GTK_OBJECT(vFileProperties), "destroy",
    GTK_SIGNAL_FUNC (gtk_main_quit), NULL);

  gtk_signal_connect (GTK_OBJECT(vFileProperties), "file_mode_changed",
    GTK_SIGNAL_FUNC (file_mode_changed_cb), NULL);
    
  gtk_main();

  file_data_list_free(vFileDataList);  
}
